Update Product

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

product_idstringRequired
account_idstringRequired

Request

This endpoint expects an object.
namestringRequired
is_activebooleanOptionalDefaults to true
descriptionstring or nullOptional
default_price_idstring or nullOptional
metadatamap from strings to any or nullOptional
custom_fieldsmap from strings to any or nullOptional
Custom field values to set on this product. Keys must match defined field keys for the product entity type. Set a key to null to delete that field's value.

Response

Successful Response
idstring
account_idstring
namestring
descriptionstring or null
is_activeboolean
default_price_idstring or null
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
custom_fieldsmap from strings to any or null

Custom field values. Only included when expand=custom_fields is specified.

Errors